Name:           enet
Version:        1.2
Release:        2%{?dist}
Summary:        Thin, simple and robust network layer on top of UDP
Group:          System Environment/Libraries
License:        MIT
URL:            http://enet.bespin.org/
Source0:        http://enet.bespin.org/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ENet is a relatively thin, simple and robust network communication layer on
top of UDP (User Datagram Protocol). The primary feature it provides is
optional reliable, in-order delivery of packets.

ENet is NOT intended to be a general purpose high level networking library
that handles authentication, lobbying, server discovery, compression,
encryption and other high level, often application level or dependent tasks.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure
make %{?_smp_mflags}
# Create a shared version
gcc -shared -Wl,-soname,lib%{name}-%{version}.so *.o \
  -o lib%{name}-%{version}.so


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/enet
install -m 755 lib%{name}-%{version}.so $RPM_BUILD_ROOT%{_libdir}
ln -s lib%{name}-%{version}.so $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so
install -p -m 644 include/enet/*.h $RPM_BUILD_ROOT%{_includedir}/enet


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README
%{_libdir}/lib%{name}-%{version}.so

%files devel
%defattr(-,root,root,-)
%doc docs/*.dox
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.2-1
- Updated to 1.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1-3
- Autorebuild for GCC 4.3

* Sun Oct  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-2
- Add tutorial.txt design.txt to -devel docs

* Sat Oct  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-1
- Initial Fedora package
